[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazHelpHTML' (#lcl)

# THTMLHelpDatabase.ShowURL

Displays a help viewer for the specified HTML help topic.

## Declaration

Source position: lazhelphtml.pas line 65

`public function THTMLHelpDatabase.ShowURL(`
`const URL: string;`
`const Title: string;`
`var ErrMsg: string`
`):TShowHelpResult; virtual;`

## Arguments

`URL` |  | Identifies the path, file, and topic information displayed in the method.
`Title` |  | Value displayed in the title bar of the help viewer.
`ErrMsg` |  | Message which describes the error condition in the return value.

## Function result

Status of the help display operation.

## Description

ShowURL is a TShowHelpResult function used to display the HTML help topic for the specified URL. ShowURL gets the help viewer registered for the 'text/html' MIME type, resolves the URL to an absolute path ( if needed), and displays the corresponding help node in the viewer.

URL contains the URL protocol, path and file information, and optional URL parameters. For example: 'file://myapp/myform.html'.

Title contains the value displayed in the title bar for the help viewer.

The return value indicates the status of the requested operation, and contains the value shrSuccess when the HTML help viewer successfully displays the topic for the help context. One of the following enumeration values from TShowHelpResult may be returned under certain circumstances:

shrViewerNotFound
  A help viewer was not found for the HTML help MIME type.
shrViewerError
  An error occurred while displaying the help topic in the help viewer.
shrContextNotFound
  The value in URL contains file path information not located on the local file system.

The ErrMsg parameter is a variable argument updated to contain specific information about return values other than shrSuccess.